Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionFrame

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionFrame

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QStyleOptionFrameV2

    public class QStyleOptionFrame

extends QStyleOption

The `QStyleOptionFrame` class is used to describe the parameters for drawing a frame.

`QStyleOptionFrame` is used for drawing several built-in Qt widgets, including `QFrame`, `QGroupBox`, `QLineEdit`, and `QMenu`. Note that to describe the parameters necessary for drawing a frame in Qt 4.1 or above, you must use the `QStyleOptionFrameV2` subclass.

An instance of the `QStyleOptionFrame` class has type `SO_Frame` and version 1.

The type is used internally by `QStyleOption`, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own `QStyleOption` subclass and your own styles. The version is used by `QStyleOption` subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

If you create your own `QStyle` subclass, you should handle both `QStyleOptionFrame` and `QStyleOptionFrameV2`.

For an example demonstrating how style options can be used, see the Styles example.

See Also:
  `QStyleOptionFrameV2`, `QStyleOption`

Nested Class Summary
`static class` | `QStyleOptionFrame.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionFrame.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionFrame()` Constructs a `QStyleOptionFrame`, initializing the members variables to their default values.
`protected` | `QStyleOptionFrame(int version)`
`` | `QStyleOptionFrame(QStyleOptionFrame other)` Constructs a copy of the `other` style option.

Method Summary
`static QStyleOptionFrame` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionFrame instance pointed to by nativePointer
`int` | `lineWidth()` Returns the line width for drawing the frame.
`int` | `midLineWidth()` Returns the mid-line width for drawing the frame.
`static QNativePointer` | `nativePointerArray(QStyleOptionFrame[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionFrame array.
`void` | `setLineWidth(int lineWidth)` Sets the line width for drawing the frame to `lineWidth`.
`void` | `setMidLineWidth(int midLineWidth)` Sets the mid-line width for drawing the frame to `midLineWidth`.

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionFrame

    public QStyleOptionFrame(QStyleOptionFrame other)

  Constructs a copy of the `other` style option.

### QStyleOptionFrame

    public QStyleOptionFrame()

  Constructs a `QStyleOptionFrame`, initializing the members variables to their default values.

### QStyleOptionFrame

    protected QStyleOptionFrame(int version)

Method Detail

### setLineWidth

    public final void setLineWidth(int lineWidth)

  Sets the line width for drawing the frame to `lineWidth`.

  The default value is 0.

  See Also:
    `QFrame::lineWidth`

### lineWidth

    public final int lineWidth()

  Returns the line width for drawing the frame.

  The default value is 0.

  See Also:
    `setLineWidth`, `QFrame::lineWidth`

### setMidLineWidth

    public final void setMidLineWidth(int midLineWidth)

  Sets the mid-line width for drawing the frame to `midLineWidth`.

  This is usually used in drawing sunken or raised frames.

  The default value is 0.

  See Also:
    `QFrame::midLineWidth`

### midLineWidth

    public final int midLineWidth()

  Returns the mid-line width for drawing the frame.

  This is usually used in drawing sunken or raised frames.

  The default value is 0.

  See Also:
    `setMidLineWidth`, `QFrame::midLineWidth`

### fromNativePointer

    public static QStyleOptionFrame fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionFrame instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionFrame[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionFrame array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD